<?php

namespace Icosettings\IcoSetting\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Icosettings\IcoSetting\Interfaces\IcoSettingRepositoryInterface;

class IcoSettingPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Icosettings\IcoSetting\Interfaces\IcoSettingRepositoryInterface $ico_setting
     *
     * @return type
     */
    public function __construct(IcoSettingRepositoryInterface $ico_setting)
    {
        $this->model = $ico_setting;
        parent::__construct();
    }

    /**
     * Show ico_setting's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $ico_settings = $this->model->all();

        return $this->theme->of('ico_setting::public.ico_setting.index', compact('ico_settings'))->render();
    }

    /**
     * Show ico_setting.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $ico_setting = $this->model->findBySlug($slug);

        return $this->theme->of('ico_setting::public.ico_setting.show', compact('ico_setting'))->render();
    }
}
